Categories:
  - Games
License: GPL-2.0-only
AuthorName: Sascha Hlusiak
AuthorEmail: mail@saschahlusiak.de
WebSite: http://www.saschahlusiak.de/freebloks-3d-android/
SourceCode: https://github.com/shlusiak/Freebloks-Android
IssueTracker: https://github.com/shlusiak/Freebloks-Android/issues
Donate: https://paypal.me/saschahlusiak/3eur
Bitcoin: bc1qdgm2zvlc6qzqh8qs44wv8l622tfrhvkjqn0fkl
Litecoin: Lh3YTC7Tv4edEe48kHMbyhgE6BNH22bqBt

AutoName: Freebloks

RepoType: git
Repo: https://github.com/shlusiak/Freebloks-Android.git

Builds:
  - versionName: 0.5.2
    versionCode: 67
    commit: foss-0.5.2
    gradle:
      - yes
    rm:
      - libs/*
      - stuff/
    buildjni:
      - yes
    ndk: r12b

  - versionName: 0.5.3
    versionCode: 68
    commit: foss-0.5.3
    gradle:
      - yes
    rm:
      - libs/*
      - stuff/
    buildjni:
      - yes
    ndk: r12b

  - versionName: 1.0.0
    versionCode: 70
    commit: foss-1.0.0
    gradle:
      - standardGoogle
    rm:
      - stuff/
    buildjni:
      - yes
    ndk: r12b

  - versionName: 1.2.5
    versionCode: 105
    commit: 1.2.5
    subdir: app
    submodules: true
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild:
      - sed -i -e '/crashlytics/d' build.gradle
      - sed -i -e '/google-services/d' build.gradle
    ndk: r21d

  - versionName: 1.2.9
    versionCode: 109
    commit: 1.2.9
    subdir: app
    submodules: true
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild:
      - sed -i -e '/crashlytics/d' build.gradle
      - sed -i -e '/google-services/d' build.gradle
    ndk: r21d

  - versionName: 1.3.0
    versionCode: 110
    commit: 1.3.0
    subdir: app
    submodules: true
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild:
      - sed -i -e '/crashlytics/d' build.gradle
      - sed -i -e '/google-services/d' build.gradle
    ndk: r21d

  - versionName: 1.3.1
    versionCode: 111
    commit: 1.3.1
    subdir: app
    submodules: true
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild:
      - sed -i -e '/crashlytics/d' build.gradle
      - sed -i -e '/google-services/d' build.gradle
    ndk: r21d

  - versionName: 1.3.4
    versionCode: 114
    commit: 1.3.4
    subdir: app
    submodules: true
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild:
      - sed -i -e '/crashlytics/d' build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    ndk: r21e

  - versionName: 1.3.5
    versionCode: 115
    commit: c30ef2b0a1e786ff2c850cb0d9d2c92a77daf998
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild: sed -i -e '/crashlytics/d' -e '/google-services/d' build.gradle
    ndk: r22b

  - versionName: 1.3.6
    versionCode: 116
    commit: fe05dc44eed05c870dfb187e86fd71fdbd86822a
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild: sed -i -e '/crashlytics/d' -e '/google-services/d' build.gradle
    ndk: r22b

  - versionName: 1.3.7
    versionCode: 117
    commit: 18d91846750f1d01c38bbadec7dfc6125f388cc8
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild: sed -i -e '/crashlytics/d' -e '/google-services/d' build.gradle
    ndk: r22b

  - versionName: 1.3.8
    versionCode: 118
    commit: 1cf1810e44d2585f8bb1fec62a878c1243508fd3
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild: sed -i -e '/crashlytics/d' -e '/google-services/d' build.gradle
    ndk: r22b

  - versionName: 1.3.9
    versionCode: 119
    commit: 0235ffe56cc6018bbeb6e54a9d57ed899963a52e
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild: sed -i -e '/crashlytics/d' -e '/google-services/d' build.gradle
    ndk: r23b

  - versionName: 1.4.0
    versionCode: 120
    commit: 9d1afb6acb35d3e31d45cf337b122b1ba4a84311
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild: sed -i -e '/crashlytics/d' -e '/google-services/d' build.gradle
    ndk: r23b

  - versionName: 1.4.1
    versionCode: 121
    commit: 5eb8def61dbde043a9f4dbab9cee18abe8e4c427
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild: sed -i -e '/crashlytics/d' -e '/google-services/d' build.gradle
    ndk: r23b

  - versionName: 1.4.2
    versionCode: 122
    commit: f1b8ccf0b12215025e6e90de7f3fae1228cfe664
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - standardFdroid
    rm:
      - google-services/
      - stuff/
    prebuild: sed -i -e '/crashlytics/d' -e '/google-services/d' build.gradle
    ndk: r23b

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 1.4.2
CurrentVersionCode: 122
